Imports Microsoft.VisualBasic

Public Class CartItem
  Private mSelected As Boolean = False
  Private mID As Integer
  Private mSiteCode As String
  Private mSiteName As String
  Private mNetwork As String
  Private mVariableName As String
  Private mVariableCode As String
  Private mValueCount As Integer
  Private mBeginDate As String
  Private mEndDate As String

  Public Property Selected() As Boolean
    Get
      Return mSelected
    End Get
    Set(ByVal value As Boolean)
      mSelected = value
    End Set
  End Property
  Public Property ID() As Integer
    Get
      Return mID
    End Get
    Set(ByVal value As Integer)
      mID = value
    End Set
  End Property

  Public Property ValueCount() As Integer
    Get
      Return mValueCount
    End Get
    Set(ByVal value As Integer)
      mValueCount = value
    End Set
  End Property
  Public Property SiteCode() As String
    Get
      Return mSiteCode
    End Get
    Set(ByVal value As String)
      mSiteCode = value
    End Set
  End Property
  Public Property SiteName() As String
    Get
      Return mSiteName
    End Get
    Set(ByVal value As String)
      mSiteName = value
    End Set
  End Property
  Public Property VariableCode() As String
    Get
      Return mVariableCode
    End Get
    Set(ByVal value As String)
      mVariableCode = value
    End Set
  End Property
  Public Property VariableName() As String
    Get
      Return mVariableName
    End Get
    Set(ByVal value As String)
      mVariableName = value
    End Set
  End Property
  Public Property Network() As String
    Get
      Return mNetwork
    End Get
    Set(ByVal value As String)
      mNetwork = value
    End Set
  End Property
  Public Property BeginDate() As String
    Get
      Return mBeginDate
    End Get
    Set(ByVal value As String)
      mBeginDate = value
    End Set
  End Property
  Public Property EndDate() As String
    Get
      Return mEndDate
    End Get
    Set(ByVal value As String)
      mEndDate = value
    End Set
  End Property

End Class
